Subject: Re: [PATCH 01/23] dt-bindings: introduce silabs,wfx.yaml

From: Jérôme Pouiller <[email-masked]>
Date: Wed, 14 Oct 2020 15:49:12 +0200

On Tuesday 13 October 2020 18:49:35 CEST Rob Herring wrote:
> On Mon, Oct 12, 2020 at 12:46:26PM +0200, Jerome Pouiller wrote:
> > From: Jérôme Pouiller <[email-masked]>
[...]
> > +  Note that in add of the properties below, the WFx driver also supports
> > +  `mac-address` and `local-mac-address` as described in
> > +  Documentation/devicetree/bindings/net/ethernet.txt
> 
> Note what ethernet.txt contains... This should have a $ref to
> ethernet-controller.yaml to express the above.
> 
> You can add 'mac-address: true' if you want to be explicit about what
> properties are used.

Here, only mac-address and local-mac-address are supported. So, would the
code below do the job?

  local-mac-address:
    $ref: ethernet-controller.yaml#/properties/local-mac-address

  mac-address:
    $ref: ethernet-controller.yaml#/properties/mac-address

[...]
> > +  spi-max-frequency:
> > +    description: (SPI only) Maximum SPI clocking speed of device in Hz.
> 
> No need to redefine a common property.

When a property is specific to a bus, I would have like to explicitly
say it. That's why I redefined the description.

[...]
> > +  config-file:
> > +    description: Use an alternative file as PDS. Default is `wf200.pds`. Only
> > +      necessary for development/debug purpose.
> 
> 'firmware-name' is typically what we'd use here. Though if just for
> debug/dev, perhaps do a debugfs interface for this instead. As DT should
> come from the firmware/bootloader, requiring changing the DT for
> dev/debug is not the easiest workflow compared to doing something from
> userspace.

This file is not a firmware. It mainly contains data related to the
antenna. At the beginning, this property has been added for
development. With the time, I think it can be used to  have one disk
image for several devices that differ only in antenna.

I am going to remove the part about development/debug purpose.

[...]
> Will need additionalProperties or unevaluatedProperties depending on
> whether you list out properties from ethernet-controller.yaml or not.

I think I need to specify "additionalProperties: true" since the user can
also use properties defined for the SPI devices.

In fact, I would like to write something like:

    allOf:
        $ref: spi-controller.yaml#/patternProperties/^.*@[0-9a-f]+$/properties

-- 
Jérôme Pouiller